Subject: Ticket Assigned - When will I get my refund? I made a purchase online, paid cash on delivery. I read somewhere that I will be receiving my refund through 'My credit balance'. How long will it take ?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 28 Dec 2020 08:09:30 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  When will I get my refund? I made a purchase online, paid cash on delivery. I read somewhere that I will be receiving my refund through 'My credit balance'. How long will it take ? Contacted

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1928190